ARDUINO GSM SHIELD 2 (INTEGRATED ANTENNA) vs IDE 1.8.5 incompatibility ??

Recently I bought a ARDUINO GSM SHIELD 2 (INTEGRATED ANTENNA) (from Arduino.cc online store ) and it has been impossible to use. The problem is similar to the topic mentioned on Arduino UNO + shield GSM 2 - impossible to use! - Arduino GSM Shield - Arduino Forum.

On the GSM shield there is the mark "arduino.org" it seems that the GSM libraries in the IDE 1.8.5 (arduino.cc) are not compatible with GSM SHIELD 2 (arduino.org).

Someone with the same problem?

I would like to try the IDE version 1.7.10 from arduino.org but now that web page is redirected to arduino.cc

Any help will be appreciated.

Finally, I solved my problem !!!!

Check: http://forum.arduino.cc/index.php?topic=349569.0